#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['scirpy',
 'scirpy._plotting',
 'scirpy._preprocessing',
 'scirpy._tools',
 'scirpy.datasets',
 'scirpy.io',
 'scirpy.io._tracerlib',
 'scirpy.tcr_dist',
 'scirpy.tests',
 'scirpy.util']

package_data = \
{'': ['*'],
 'scirpy.datasets': ['_processing_scripts/*'],
 'scirpy.tests': ['data/*',
                  'data/10x/*',
                  'data/airr/*',
                  'data/test_workflow/*',
                  'data/tracer/*',
                  'data/tracer/cell1/*',
                  'data/tracer/cell1/filtered_TCR_seqs/*',
                  'data/tracer/cell2/*',
                  'data/tracer/cell2/filtered_TCR_seqs/*']}

install_requires = \
['anndata>=0.7.3',
 'scanpy>=1.5.1',
 'pandas>=0.21',
 'numpy',
 'scipy',
 'parasail',
 'scikit-learn',
 'python-levenshtein',
 'python-igraph',
 'networkx',
 'squarify',
 'airr',
 'tqdm>=4.29.1',
 'setuptools_scm',
 'pytoml']

extras_require = \
{':python_version < "3.8"': ['importlib_metadata>=0.7'],
 'doc': ['sphinx>=3.0.1,<3.1',
         'sphinx_autodoc_typehints>=1.8.0',
         'scanpydoc>=0.5',
         'sphinx_rtd_theme>=0.4',
         'leidenalg',
         'nbsphinx>=0.6.0',
         'jupytext',
         'sphinxcontrib-bibtex>=1.0.0',
         'pycairo',
         'jupyter_client',
         'ipykernel'],
 'doc:python_version < "3.8"': ['typing_extensions'],
 'rpack': ['rectangle-packer'],
 'test': ['pytest', 'black']}

setup(name='scirpy',
      version='0.4.2',
      description='Python library for single-cell TCR analysis',
      author='Gregor Sturm, Tamas Szabo',
      author_email='gregor.sturm@i-med.ac.at',
      url='https://github.com/grst/scirpy',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      python_requires='>= 3.6',
     )
